Update a Legacy Request
Update a Legacy Request
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
request_id
Request
This endpoint expects an object.
assignees
Array of assignees
fields
The Legacy Request's fields
projectId
The ID of the project to which the Legacy Request belongs.
requestStatus
Allowed values:
requestorId
ID of the user making the Legacy Request. If unspecified, the requestor is the request creator.
sampleGroups
scheduledOn
Date the Legacy Request is scheduled to be executed on, in YYYY-MM-DD format.
Response
OK
apiURL
The canonical url of the Legacy Request in the API.
assignees
Array of assignees
createdAt
Date and time the Legacy Request was created
creator
UserSummary of the user who created the Legacy Request
displayId
User-friendly ID of the Legacy Request
fields
id
Unique ID for the Legacy Request
projectId
The ID of the project to which the Legacy Request belongs.
requestStatus
Allowed values:
requestor
UserSummary of the user making the Legacy Request
sampleGroups
scheduledOn
Date the Legacy Request is scheduled to be executed on, in YYYY-MM-DD format.
schema
SchemaSummary for the Legacy Request
tasks
webURL
URL of the Legacy Request
Errors
400
Bad Request Error